% Function containing model equation
% INPUT: model varialble and initial condition
% OUPUT: Model solution
% Code by: Munsur Rahman, 2017

function dy = myModel(t,y,IC)

global bh alphah gamma bv alphav lamdav eta NH

bh=IC(1); bv=IC(2); alphah=IC(3); 
gamma=IC(4); eta = IC(5);

sh=y(1); eh=y(2); ih=y(3); 
ev=y(4); iv=y(5); 
%---------------------------- 
% Model equation
dy = [-bh*sh*iv; 
    bh*sh*iv-alphah*eh;
    alphah*eh-gamma*ih; 
    bv*ih*(1-ev-iv)-(lamdav+alphav)*ev; 
    alphav*ev-lamdav*iv;
    eta*alphah*eh*NH];
end

