% Function containing model equations
% INPUT: model varialble and estimated parameter
% OUPUT: Model solution
% Code by: Munsur Rahman, 2017

function dy = sysfun(t, y)
global bh alphah gamma bv alphav lamdav eta NH 
sh=y(1); eh=y(2); ih=y(3); 
ev=y(4); iv=y(5); 

%---------------------------- 
% Model equation
dy = [-bh*sh*iv; 
    bh*sh*iv-alphah*eh;
    alphah*eh-gamma*ih; 
    bv*ih*(1-ev-iv)-(lamdav+alphav)*ev; 
    alphav*ev-lamdav*iv;
    eta*alphah*eh*NH];
end

