% This .m file calculate mean prevalence of infections
%
% INPUT: estimated optimum parameter
% OUPUT: mean prevalence of infection
% Code by: Munsur Rahman, 2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc;
clear all;
close all;

global bh alphah gamma bv alphav lamdav eta NH 
global sh0 eh0 ih0 ev0 iv0 C0 ni0 tspan

tspan=0:1:25*7;


NH=37928; % Mean Human for all island

alphav=1/10;
lamdav=1/15;

% estimated mean parameter for all island
bh=0.9011;
bv=0.0985;
alphah=0.1425;
gamma=0.1050;
eta = 0.073;


SH0=NH; 
sh0=SH0/NH; eh0=1/NH; ih0=1/NH; ev0=0.005; iv0=0.005; C0=NH*eh0; ni0=0;

initial_conditions=[sh0,eh0,ih0,ev0,iv0,C0, ni0]; 

[tv, Yv]=ode45('sysfun',tspan,initial_conditions); %ODE45 %

%% Diseases outcome
SH = Yv(:,1).*NH;
E=Yv(:,2).*NH;
I=Yv(:,3).*NH;
add=E+I;
Pv=add./NH;

% Plot resutls
figure1 = figure;
axes1 = axes('Parent',figure1,'FontSize',20);
plot(tv./7,Pv.*100,'LineWidth',4);
xlabel('Time (Weeks)','FontSize',20);
ylabel('Prevelence of infection (%)','FontSize',20);
axis([0 25 0 100]);





